 % !TeX spellcheck = en_GB
\chapter{Introduction}

Multiphysics can be described as the type of simulation that involves two or more physical models
coupled together in order to obtain the solution of a certain physical problem. Therefore,
multiphysics can be used to obtain higher-fidelity predictions of physically complex phenomena
that would otherwise be too difficult or even impossible to be obtained using a single solver.
As one can imagine, the computational cost of multiphysics simulations are higher over standard
simulations \cite{Keyes2012} since it usually requires the solution of more than one solver and
the exchange of information between them. Nonetheless, the increase of computational capability
over the last decades has made the use of multiphysics simulations mainstream. Some typical
examples of multiphysics problems are the coupling between fluid dynamics and heat propagation
in heat transfer \cite{Jaure2013}, fluid and structural dynamics in fluid-structure interaction
\cite{Dawes2010}, or fluid dynamics and acoustics in aeroacoustics \cite{Schlottke-Lakemper2016}. \\
For aeroacoustics problems, i.e., the prediction of flow-induced noise, there are to main
approaches: the direct and hybrid approaches. The direct approach uses a single solver to obtain
the flow and acoustic fields but, due to the high spatial and temporal requirements this approach
becomes inapplicable for large problems. The hybrid approach, however, is more efficient and uses
two independent solvers, one for the flow solution and a second one for the aeroacoustic
propagation. Nonetheless, it requires a lot of disk space for large simulation problems and the
exchange of large amounts of data between the solvers via I/O operations, decreasing its parallel
performance \cite{Schlottke-Lakemper2017}.\\
In this work, a scheme that combines the efficiency of a hybrid approach with an optimized parallel
performance is introduced: the direct-hybrid method (\cite{Schlottke-Lakemper2016},
\cite{Schlottke-Lakemper2017}, \cite{Schlottke-Lakemper2018}). This new approach avoids the
drawback of the classical hybrid method by running both the CFD and the CAA simulations
concurrently on separate cells of a joint hierarchical Cartesian mesh, so data can be transferred
in-memory. \\
The organization of this work is as follows. In Section 2 the direct-hybrid method is described,
and in Section 3 the numerical methods are presented. Later, in Section 4, the direct-hybrid
approach is evaluated and the results are presented in terms of its accuracy with respect to the
analytical solution and the overall parallel performance. Finally, the conclusions are summarized
in Section 5. \\
